package fr.mrdev023.vulkan_java.vk.loggers;

import fr.mrdev023.vulkan_java.vk.PhysicalDevice;
import fr.mrdev023.vulkan_java.vk.validators.PhysicalDeviceCompatibilityValidator;

public class PhysicalDeviceCompatibilityLogger {
    public static void log(PhysicalDevice physicalDevice, PhysicalDeviceCompatibilityValidator.Result result) {
        ScopedLogger.pushScope("Physical device support (Is suitable: {})", result.isSuitable);
        PhysicalDevicePropertiesLogger.log(physicalDevice);
        QueueFamilyRequirementResultLogger.log(result.queueFamilyIndices);
        DeviceExtensionsResultLogger.log(result.deviceExtensionsResult);
        ScopedLogger.popScope();
    }
}
